1) Script Title: jQuery Multi Level CSS Menu #2

2) Script URL (on DD): http://www.dynamicdrive.com/style/cs...el_css_menu_2/

3) Describe problem:
I've been using this menu for several months now and adore it, but had a user report an issue I've finally narrowed down.
On my site I've updated jQuery to 1.4.4. The user reported that child menus (UL LI UL LI) weren't opening in IE6. Lo and behold, they aren't expanding on my site (but are fine on the DD demo).

After comparing my code with what's on the demo site, it looks like the jQuery version is responsible.
I've got it working in jQuery 1.2.6 and 1.4.2, but 1.4.3 and 1.4.4 break the popup behaviour in IE6 (IE7 and up are fine).

This is clearly something that was changed in jQuery (and if a bug is their problem), but I find myself in a position where I can't modify our jQuery version. Can anyone who is a bigger Javascript wiz than I suggest any changes I might be able to make to the DD script to work around the jQuery 1.4.4 issue?

Thanks